<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://dpfpic.com
 * Licence GNU_GPL
 **/
 
class nnforum {

	/**
	 * Cre un nom unique pour les utilisateurs
	 *
	 * @return	dir
	 * @author	DPFPIC
	 **/
	public function DirUniq() {
		$dir = md5(uniqid(rand(), true));
		return $dir;
	}

	/**
	 * Liste des themes
	 *
	 * @param	dir				le rpertoire
	 * @return	array()
	 * @author	DPFPIC
	 **/	
	public function dir_list($dir, $patern='*'){	
		$tab = array();
		$name = array();
		if (is_dir($dir)) {
			if ($dh = opendir($dir)) {
				while (($file = readdir($dh)) !== false) {
					$ext=explode('.',$file);
					$ext=$ext[count($ext)-1];
					if($ext==$patern || $patern=="*" && $file!='.' && $file!='..' && $file!='index.html'){
						$tab[$file]= $file;
					}
				}
				closedir($dh);
			}
		}
		sort($tab);
		foreach($tab as $k=>$v)
			$name[$v] = $v;

		return $name;
	}

	/**
	 * Liste des sous forum
	 *
	 * @param	dir				le rpertoire du sous forum
	 * @param   dirusers		rpertoire de scurit des utilisateurs
	 * @return	array()
	 * @author	DPFPIC
	 **/	
	public function subforun($dir, $dirusers) {	
		$name = array();
		$files = scandir($dir);
		$files_n = count($files);
		$i=0;
		while($i<=$files_n){
			// "is_dir" only works from top directory, so append the $dir before the file
			if (is_dir($dir.'/'.$files[$i])){   
				$MyFileType[$i] = $files[$i] ;
			} 
			$i++;
		}
		$MyFileType = preg_grep ('/^(\.|'.$dirusers.'$|themes$|lib$|lang$|cgi-bin$)/', $MyFileType, PREG_GREP_INVERT);
		foreach(array_filter($MyFileType) as $k=>$v)
			$name[$v] = $v;
	
		if (is_array($name)) {
			return array_filter($name);
		}
	}

	/**
	 * Supprimer un rpertoire et son contenu
	 *
	 * @param	dir				le rpertoire  supprimer
	 * @return	NULL
	 * @author	DPFPIC
	 **/	
	public function rrmdir($dir) { 
		if (is_dir($dir)) { 
			$objects = scandir($dir); 
			foreach ($objects as $object) { 
				if ($object != "." && $object != "..") { 
					if (filetype($dir."/".$object) == "dir") rrmdir($dir."/".$object); else unlink($dir."/".$object); 
				} 
			} 
		reset($objects); 
		rmdir($dir); 
		} 
	} 


	/**
	 * Affiche les x derniers posts
	 *
	 * @param	nb				nombre de posts
	 * @return	array()
	 * @author	DPFPIC
	 **/
	public function latestFeed($nb) {
		$feeds = array();
		$index = glob(PLX_PLUGINS.'plxNNForum/forum/index.xml',GLOB_BRACE);
		$index_sub = glob(PLX_PLUGINS.'plxNNForum/forum/*/index.xml',GLOB_BRACE);
		$index_glob = array_merge($index, $index_sub);
		foreach ($index_glob as $filename) {
			$feeds[] = $filename;
		}
		//================================
		// Get all feed entries
		$entries = array();
		foreach ($feeds as $feed) {
			$xml = simplexml_load_file($feed);
			$entries = array_merge($entries, $xml->xpath('/rss//item'));
		}

		// Sort feed entries by modDate (descending)
		usort($entries, function ($x, $y) {
			return strtotime($y->modDate) - strtotime($x->modDate);
		});

		//================================
		foreach (array_slice($entries,0,$nb) as $entry){
			if (strlen($entry->description) >= 100) {
				$entry->description=strip_tags(mb_substr($entry->description, 0, 100, 'UTF-8')).'...';
			}
			$latest[]=$entry;
		}
		if(isset($latest)){
			return $latest;
		}	
	}

	/**
	 * Affiche les x derniers posts
	 *
	 * @param	nb				nombre de posts
	 * @return	array()
	 * @author	DPFPIC
	 **/
	public function searchRss($word) {
		$feeds = array();
		$index = glob(PLX_PLUGINS.'plxNNForum/forum/*.rss',GLOB_BRACE);
		$index_sub = glob(PLX_PLUGINS.'plxNNForum/forum/*/*.rss',GLOB_BRACE);
		$index_glob = array_merge($index, $index_sub);
		foreach ($index_glob as $filename) {
			$feeds[] = $filename;
		}
		//================================
		// Get all feed entries
		$entries = array();
		foreach ($feeds as $feed) {
			$xml = simplexml_load_file($feed);
			$entries = array_merge($entries, $xml->xpath('/rss/channel/item'));
		}

		//Sort feed entries by modDate (descending)
		usort($entries, function ($x, $y) {
			return strtotime($y->modDate) - strtotime($x->modDate);
		});

		//================================
		foreach ($entries as $entry){
			if (strlen($entry->description) >= 100) {
				$entry->description=strip_tags(mb_substr($entry->description, 0, 100, 'UTF-8')).'...';
			}
			$pos = strpos(strtolower($entry->author), strtolower($word));
 			if($pos !== false){
				$latest[] = $entry;
			}
			$pos = strpos(strtolower($entry->title), strtolower($word));
 			if($pos !== false){
				$latest[] = $entry;
			}
			$pos = strpos(strtolower($entry->description), strtolower($word));
 			if($pos !== false){
				$latest[] = $entry;
			}
		}
		if(isset($latest)){
			return $latest;
		}
	}
	
	/**
	 * Rcupre les noms de utilisateurs
	 *
	 * @param	filename				chemin et non du fichier
	 * @return	array()
	 * @author	DPFPIC
	 **/
	public function file_get_json($filename) {
		$json = '';
		$json = @file_get_contents($filename); 
		$json = utf8_encode($json); 
		$list = json_decode($json); 
		return $list;
	}

	/**
	 * renregistre les noms de utilisateurs
	 *
	 * @param	filename				chemin et non du fichier
	 * @param	contents				list des utilisateurs	 
	 * @return	array()
	 * @author	DPFPIC
	 **/
	public function file_put_json($filename, $contents) {
		$string = '';
		$string = json_encode($contents);
		@file_put_contents($filename, $string, LOCK_EX);
	}

	/**
	 * Verification des version des plugins
	 *
	 * @param	plugin				le nom du plugin
	 * @return	array()
	 * @author	DPFPIC
	 **/
	public function UpdatePlugin($plugin) {
	    $array = array();
		$url = 'http://dpfpic.com/plugins.rep';
		$filename = PLX_PLUGINS.$plugin.'/infos.xml';
		
		# Mise en place du parseur XML
		$data = implode('',file($filename));
		$parser = xml_parser_create('UTF-8');
		xml_parser_set_option($parser,XML_OPTION_CASE_FOLDING,0);
		xml_parser_set_option($parser,XML_OPTION_SKIP_WHITE,0);
		xml_parse_into_struct($parser,$data,$strings,$iTags);
		xml_parser_free($parser);
		# Rcupration des donnes xml
		$array['actualversion'] = plxUtils::getValue($strings[$iTags['version'][0]]['value']);
		$array['actualdate'] = plxUtils::getValue($strings[$iTags['date'][0]]['value']);


		if (ini_get('allow_url_fopen')) {
			$handleplugin = @file($url);
		}
		elseif ($curl = @curl_init()){
			$timeout = 5; // set to zero for no timeout
			curl_setopt ($curl, CURLOPT_URL, $url);
			curl_setopt ($curl, CURLOPT_CONNECTTIMEOUT, $timeout);
			curl_setopt ($curl, CURLOPT_RETURNTRANSFER, 1);
			$version_content = curl_exec($curl);
			curl_close($curl);
			if ($version_content != false) {
				$handleplugin = explode("\n", $version_content);
			}
		}	
		if ($handleplugin) {
			$nb = sizeof($handleplugin);
			for($i=0;$i<$nb;$i++) {
				$seach = strstr($handleplugin[$i], '||', true);
				if ($seach == $plugin) {
				    $value = explode('||', $handleplugin[$i]);
					$array['newplugin'] = $value[0];
					$array['newversion'] = $value[1];
					$array['newdate'] = $value[2];
					$array['newurl'] = $value[3];
					$array['active'] = $value[4];
				}
			}
		} else {
			$array ['status'] = 0;
			return $array;
		}
		
		$adate = explode("/", $array['actualdate']); 
		$ndate = explode("/", $array['newdate']);
		$actualdate = $adate[2].$adate[1].$adate[0];
		$newdate = $ndate[2].$ndate[1].$ndate[0];
		
		if (isset($array['actualversion']) AND ($array['actualversion'] == $array['newversion']  AND  $actualdate == $newdate) AND $array['active'] == 1 AND $array['newplugin'] == $plugin) {
			$array ['status'] = 1;
			return $array;
		} elseif (isset($array['actualversion']) AND ($array['actualversion'] != $array['newversion'] OR  $actualdate != $newdate) AND $array['active'] == 1 AND $array['newplugin'] == $plugin) {
			$array ['status'] = 2;
			return $array;
		} elseif (isset($array['active']) AND $array['active'] == 0) {
			$array ['status'] = 3;
			return $array;
		} else {
		    $array ['status'] = 0;
			return $array;
		}
	}
}	